Scale out a Besu Instance

post

/api/v1/besu/instance/{id}/scaleout

Scale out a Besu component. Replicas must be greater than the current count. A 409 is returned when the current instance state does not permit scaling.

Request

Supported Media Types
Path Parameters
Header Parameters
Body ()
Desired replica count for one Besu component.
Root Schema : schema
Type: object
Desired replica count for one Besu component.
Show Source
  • custom-scaling, or a node name in the form obp-{instanceId}-{role}-{ordinal} for node-role scale-in.
  • Minimum Value: 1
    Desired total count. Maximum: 3 for rpcproxy/rpc; 2 for serviceconsole/archive/bootnode. Scale-out must increase and scale-in must decrease the current count.
  • Allowed Values: [ "rpcproxy", "serviceconsole", "archive", "bootnode", "rpc" ]
Back to Top

Response

Supported Media Types

202 Response

Accepted
Headers

400 Response

Bad Request
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

401 Response

Unauthorized
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

403 Response

Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Body ()
Root Schema : AuthError
Type: object
Authentication or authorization error returned by request filters.
Show Source

404 Response

Not Found
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

409 Response

Operation conflict
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : Error
Type: object
Error Information.
Show Source
Nested Schema : errors
Type: array
list of errors
Show Source
Nested Schema : warnings
Type: array
list of warnings
Show Source
Back to Top